Qore Programming Language: QoreProgramHelper Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
QoreProgramHelper Class Reference

safely manages QoreProgram objects; note the the destructor will block until all background threads in the qore library terminate and until the current QoreProgram terminates More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLLOCAL | QoreProgramHelper (ExceptionSink &xs)
| creates the QoreProgram object: DEPRECATED: use QoreProgramHelper(int64, ExceptionSink&) instead
DLLLOCAL | QoreProgramHelper (int64 parse_options, ExceptionSink &xs)
| creates the QoreProgram object and sets the parse options
DLLLOCAL | ~QoreProgramHelper ()
| waits until all background threads in the Qore library have terminated and until the QoreProgram object is done executing and then dereferences the object More...
DLLLOCAL QoreProgram * | operator* ()
| returns the QoreProgram object being managed
DLLLOCAL QoreProgram * | operator-> ()
| returns the QoreProgram object being managed

## Detailed Description

safely manages QoreProgram objects; note the the destructor will block until all background threads in the qore library terminate and until the current QoreProgram terminates

not useful in embedded code due to the fact that the destructor blocks until all background threads in the entire qore library terminate

## Constructor & Destructor Documentation

DLLLOCAL QoreProgramHelper::~QoreProgramHelper | ( |  | ) |
| inline

waits until all background threads in the Qore library have terminated and until the QoreProgram object is done executing and then dereferences the object

QoreProgram objects are deleted when there reference count reaches 0.

References thread_counter, QoreProgram::waitForTerminationAndDeref(), and QoreCounter::waitForZero().

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h (6585)